> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transactions for all client accounts

Get all transactions for all accounts for a given client.

Transactions can be filtered by value date and time.
If no value date and time filter is set, it will return the latest 50 transactions.

Retrieving transactions with value date and time before June 1st, 2019 is not supported yet.


## OpenAPI

````yaml /openapi.json get /transactions
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /transactions:
    get:
      tags:
        - Transactions
      summary: Get transactions for all client accounts
      description: >-
        Retrieve a list of the client's transactions, optionally filtered by
        currency and value date and time with pagination support
      parameters:
        - description: A comma-separated list of currency codes compliant to ISO 4217
          in: query
          name: currencies
          required: true
          schema:
            type: string
        - description: The ID of the client
          in: query
          name: client_id
          required: true
          schema:
            type: string
        - description: Filter transactions by debit/credit type
          in: query
          name: credit_debit_indicator
          required: false
          schema:
            type: string
            enum:
              - credit
              - debit
        - name: Authorization
          in: header
          description: The access token
          required: true
          schema:
            type: string
        - description: The ID of the contact
          in: header
          name: X-Contact-ID
          required: false
          schema:
            type: string
        - description: >-
            Only return transactions with value date and time after this UTC
            date and time. YYYY-MM-DDThh:mm format
          in: query
          name: from_value_datetime
          schema:
            type: string
        - description: >-
            Only return transactions with value date and time before this UTC
            date and time. YYYY-MM-DDThh:mm format
          in: query
          name: to_value_datetime
          schema:
            type: string
        - description: The desired page number for pagination
          in: query
          name: page
          schema:
            type: integer
            minimum: 1
            default: 1
        - description: The number of items per page for pagination
          in: query
          name: page_size
          schema:
            type: integer
            minimum: 1
            default: 50
        - $ref: '#/components/parameters/TransactionTypeFilter'
        - description: Include extended transaction details in the response
          in: query
          name: extended_details
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: A list with the client's transactions.
          headers:
            x-total-count:
              description: Total number of available entries
              schema:
                type: integer
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/TransactionData'
                type: array
        '400':
          description: >-
            Formatting, parameter or schema validation error. See error message
            for further details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Access denied due to authentication failure
        '403':
          description: >-
            Could not complete action due to data constraints. Refer to error
            message for additional details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: Client ID not found
        '409':
          description: >-
            Could not update contact due to data constraint or conflict with
            contact status. Refer to error message for additional details
        '502':
          description: Internal integration error. Contact support
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '504':
          description: Timeout error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  parameters:
    TransactionTypeFilter:
      description: A comma-separated list of transaction types.
      in: query
      name: transaction_type
      required: false
      style: form
      explode: false
      schema:
        type: array
        items:
          type: string
          enum:
            - credit
            - debit
            - incoming
            - margin
            - payment_returned
  schemas:
    TransactionData:
      properties:
        account_id:
          description: The UUID of the account.
          type: string
        additional_transaction_information:
          description: Additional information for the transaction.
          type: string
        amount:
          $ref: '#/components/schemas/Amount'
        balance:
          $ref: '#/components/schemas/BalanceData'
        booking_datetime:
          description: Date and time (UTC) when the transaction was booked
          type: string
        client_id:
          description: Identifier of the client.
          type: string
        credit_debit_indicator:
          $ref: '#/components/schemas/CreditDebitIndicator'
        creditor_account:
          $ref: '#/components/schemas/CreditorDebtorAccount'
        creditor_name:
          description: Name of the creditor
          type: string
        debtor_account:
          $ref: '#/components/schemas/CreditorDebtorAccount'
        debtor_name:
          description: Name of the debtor
          type: string
        status:
          $ref: '#/components/schemas/TransactionStatus'
        transaction_id:
          description: The UUID of the transaction.
          type: string
        transaction_information:
          description: Basic information for the transaction
          type: string
        transaction_reference:
          description: Reference for the transaction
          type: string
        transaction_type:
          description: Type of the transaction
          type: string
          enum:
            - credit
            - debit
            - incoming
            - margin
            - payment_returned
        value_datetime:
          description: Value date and time (UTC) of the transaction
          type: string
        additional_information:
          description: >-
            Additional information about the transaction (only returned when
            extended_details=true)
          type: string
          nullable: true
        beneficiary_party:
          description: >-
            Details about the beneficiary party (only returned when
            extended_details=true)
          type: object
          nullable: true
          properties:
            id:
              type: string
              nullable: true
            account:
              type: object
              nullable: true
              properties:
                account_number:
                  type: string
                  nullable: true
                bic:
                  type: string
                  nullable: true
                iban:
                  type: string
                  nullable: true
            address:
              type: string
              nullable: true
            name:
              type: string
              nullable: true
        cashback:
          description: Cashback information (only returned when extended_details=true)
          type: object
          nullable: true
          properties:
            reference:
              type: string
              nullable: true
        concept:
          description: Transaction concept (only returned when extended_details=true)
          type: string
          nullable: true
        end_reference:
          description: End-to-end reference (only returned when extended_details=true)
          type: string
          nullable: true
        fee:
          description: Fee information (only returned when extended_details=true)
          type: object
          nullable: true
          properties:
            name:
              type: string
              nullable: true
            reference:
              type: string
              nullable: true
        funds_code:
          description: Funds code indicator (only returned when extended_details=true)
          type: string
        margin_call:
          description: Margin call information (only returned when extended_details=true)
          type: object
          nullable: true
          properties:
            reference:
              type: string
              nullable: true
        ordering_party:
          description: >-
            Details about the ordering party (only returned when
            extended_details=true)
          type: object
          nullable: true
          properties:
            id:
              type: string
              nullable: true
            account:
              type: object
              nullable: true
              properties:
                account_number:
                  type: string
                  nullable: true
                bic:
                  type: string
                  nullable: true
                iban:
                  type: string
                  nullable: true
            address:
              type: string
              nullable: true
            name:
              type: string
              nullable: true
        payment:
          description: Payment information (only returned when extended_details=true)
          type: object
          nullable: true
          properties:
            pid:
              type: string
              nullable: true
            reason:
              type: string
              nullable: true
            reference:
              type: string
              nullable: true
        remittance_information:
          description: Remittance information (only returned when extended_details=true)
          type: string
          nullable: true
        returned:
          description: >-
            Indicates if the payment was returned (only returned when
            extended_details=true)
          type: string
          nullable: true
        schema:
          description: Schema information (only returned when extended_details=true)
          type: string
          nullable: true
        swift_address:
          description: SWIFT address details (only returned when extended_details=true)
          type: object
          nullable: true
          properties:
            bic:
              type: string
              nullable: true
            lt:
              type: string
              nullable: true
            branch:
              type: string
              nullable: true
        trade:
          description: Trade information (only returned when extended_details=true)
          type: object
          nullable: true
          properties:
            buy_currency:
              type: string
              nullable: true
            client_rate:
              type: object
              nullable: true
              properties:
                symbol:
                  type: string
                  nullable: true
                value:
                  type: string
                  nullable: true
            reason_for_trade:
              type: string
              nullable: true
            reference:
              type: string
              nullable: true
            sell_currency:
              type: string
              nullable: true
        uetr:
          description: >-
            Unique End-to-End Transaction Reference (only returned when
            extended_details=true)
          type: string
          nullable: true
      required:
        - account_id
        - additional_transaction_information
        - amount
        - balance
        - booking_datetime
        - client_id
        - credit_debit_indicator
        - status
        - transaction_id
        - transaction_information
        - transaction_reference
        - transaction_type
        - value_datetime
      type: object
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
    Amount:
      properties:
        amount:
          description: The amount of the transaction.
          type: string
        currency:
          description: The ISO 4217 code of the transaction currency
          type: string
      required:
        - amount
        - currency
      type: object
    BalanceData:
      properties:
        account_id:
          description: >-
            The UUID of the account. Null for aggregate balance types (Incoming,
            Outgoing, RequiredFundsImmediate, Processing) which are calculated
            across all accounts for a currency.
          type: string
          nullable: true
        amount:
          $ref: '#/components/schemas/BalanceAmount'
        credit_debit_indicator:
          $ref: '#/components/schemas/CreditDebitIndicator'
        datetime:
          description: The date and time when the balance was calculated.
          type: string
        type:
          $ref: '#/components/schemas/BalanceType'
      required:
        - account_id
        - amount
        - credit_debit_indicator
        - datetime
        - type
      type: object
    CreditDebitIndicator:
      description: Whether the balance is credit or debit
      enum:
        - Credit
        - Debit
      type: string
    CreditorDebtorAccount:
      properties:
        account_name:
          description: The name of the account's owner
          type: string
        account_number:
          description: Account number
          type: string
        bank_identifier:
          description: Account bank identifier
          type: string
        bank_identifier_code:
          description: Account bank identifier code (UK sort code, US ABA/FedWire, etc.)
          type: string
        iban:
          description: Account IBAN
          type: string
        swift:
          description: Account SWIFT code
          type: string
      type: object
    TransactionStatus:
      description: This is an enumeration of the types of status for a transaction.
      enum:
        - Booked
      type: string
    BalanceAmount:
      properties:
        amount:
          description: The amount of the balance.
          type: string
        currency:
          description: The ISO 4217 code of the balance currency
          type: string
      required:
        - amount
        - currency
      type: object
    BalanceType:
      description: >
        Balance type enumeration.

        RequiredFundsImmediate: items due now (same as Ebury Online).

        RequiredFunds: includes future-dated items (kept for backwards
        compatibility).
      enum:
        - InterimAvailable
        - RequiredFunds
        - RequiredFundsImmediate
        - Outgoing
        - Incoming
        - InitialMargin
        - MarginCall
        - Processing
      type: string
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````